<template>
  <v-col>
    <v-row class="ml-4">
      <span class="titulo">PROVEEDORES</span>
    </v-row>
    <v-btn
      v-if="$vuetify.breakpoint.smAndDown"
      class="flotante"
      fab
      color="accent"
      bottom
      right
      @click="abrirForm"
    >
      <v-icon class="fal fa-user-plus" dark />
    </v-btn>
    <lista-proveedores @onEdit="editarForm" @onAbrir="abrirForm" />
    <v-dialog v-model="dialogProveedores" width="500" :fullscreen="$vuetify.breakpoint.smAndDown">
      <form-proveedores v-if="dialogProveedores" :proveedor="proveedor" @onClose="closeDialog" />
    </v-dialog>
  </v-col>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'
import ListaClientes from '~/components/clientes/listaClientes.vue'
import FormClientes from '~/components/clientes/formClientes.vue'
import ListaProveedores from '~/components/proveedores/listaProveedores.vue'
import FormProveedores from '~/components/proveedores/formProveedores.vue'
import { Proveedor } from '~/core/models/proveedor'

    @Component({
      components: { FormProveedores, ListaProveedores, FormClientes, ListaClientes },
      head: { title: 'Proveedores' },
      middleware: 'auth'
    })
export default class proveedores extends Vue {
        dialogProveedores:boolean = false;

        proveedor:Proveedor = null;

        abrirForm () {
          this.dialogProveedores = true
        }

        editarForm (val) {
          this.proveedor = val
          this.dialogProveedores = true
        }

        closeDialog () {
          this.dialogProveedores = false
          this.proveedor = null
        }
}
</script>

<style lang="scss">

</style>
